%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" 2>/dev/null)}
%{!?pybasever: %global pybasever %(%{__python} -c "import sys ; print sys.version[:3]" 2>/dev/null || echo 0.0)}

%global svnrev  15661
#global svndate 20150507

Name:           trac-discussion-plugin
Version:        1.0
Release:        0.10.%{svnrev}.1%{?dist}
Summary:        Trac plugin for adding discussion forums
Group:          Applications/Internet
License:        Copyright only
URL:            http://trac-hacks.org/wiki/DiscussionPlugin
Source0:        discussionplugin-%{svnrev}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       trac >= 1.0
BuildRequires:  trac >= 1.0
BuildRequires:	trac-spamfilter-plugin
BuildRequires:	trac-tags-plugin

# Required for import of pkg_resources
Requires:       python-setuptools

# Need at least this version
%if "%{?rhel}" == "6"
Requires:       python-genshi06
%else
Requires:       python-genshi >= 0.6
%endif

%description
The DiscussionPlugin adds discussion forums to Trac. An arbitrary number of
forums can be added, organized to forum groups. Users can create topics in
forums and reply to them which together creates discussion threads. Threaded
or flat view to topics and its replies is supported. Each forum has a list
of moderators who can delete topics, replies, etc. Plugin is administrated 
directly or via Trac administration interface with appropriate permissions 
granted. Appending new forums and topics either as new replies shows up in 
timeline. Searching capability in topics and replies is supported too.

%prep
%setup -n discussionplugin/%{version} -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc changelog
%dir %{python_sitelib}/tracdiscussion/
%{python_sitelib}/tracdiscussion/*.py*
%{python_sitelib}/tracdiscussion/db/
%{python_sitelib}/tracdiscussion/htdocs/
%{python_sitelib}/tracdiscussion/templates/
%{python_sitelib}/TracDiscussion-*-py%{pybasever}.egg-info/

%changelog
* Thu May 07 2015 Josko Plazonic <plazonic@princeton.edu>
- first built
